/* get question elements */
var questions = document.getElementsByClassName("question");

/* initialize variables used for remving the previously opened section in the accordion */
var first = true;
var previousQuestion;

/* add an event listener for each question element */
for (var i = 0; i < questions.length; i++)
{
  questions[i].addEventListener("click", handler, false);
}

/* This function will show the answer to the clicked question and hide the previously clicked question's answer. The newly shown answer will slide out. this is accomplished by setting the maxheight of the answer class to be its scroll hieght in "px" and then adding a transition time in CSS*/
function handler()
{
  /* If this is the first click, then there are no previously clicked sections */
  if (first)
  {
    first = false;
    this.classList.add("active");
    /* The answer is the next element sibling after the question */
    this.nextElementSibling.style.maxHeight = this.nextElementSibling.scrollHeight + "px";
  }
  /* The clicked section is not the previously clicked section */
  else if (previousQuestion != this)
  {
    previousQuestion.classList.remove("active");
    previousQuestion.nextElementSibling.style.maxHeight = null;
    
    this.classList.add("active");
    this.nextElementSibling.style.maxHeight = this.nextElementSibling.scrollHeight + "px";
  }
  /* The clicked question is the previously clicked question */
  else
  {
    this.classList.toggle("active");
    
    /* Since the same questions can be clicked, it cannot be known if the answer is open or not. Therefore, determine if it is by checking if maxHeight is not null */
    if (this.nextElementSibling.style.maxHeight)
      this.nextElementSibling.style.maxHeight = null;
    else
      this.nextElementSibling.style.maxHeight = this.nextElementSibling.scrollHeight + "px";
  }
  
  /* Set the previous clicked question to be this question */
  previousQuestion = this;
}
